import numpy as np
cimport numpy as np

def calcz(z, c, zabsmax):
  ratio=0.0
  nit = 0.0
  nitmax = 255.0
  while abs(z) < zabsmax and nit < nitmax:
      z = z*z + c
      nit += 1.0
  ratio = nit / nitmax
  return ratio

def mandelbrot_loop(im_width, im_height, xwidth, yheight, xmin, ymin, nitmax):
    zabsmax = 2.0
    maxval=0;
    mm = np.zeros((im_width * im_height))
    for i in range(im_width * im_height):
        ix = int(i/im_width)
        iy = i - ix * im_width
        nit = 0
        c = complex(xmin + float(ix)*xwidth/im_width ,
                    ymin + float(iy)*yheight/im_height)
        z = 0.0j;
        mm[i] = calcz(z,c,zabsmax)
    return mm.reshape(im_width,im_height)

